#
# spec file for package kpackage
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define _tar_path 5.32
Name:           kpackage
Version:        5.32.0
Release:        1.3
%define kf5_version %{version}
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  karchive-devel >= %{_tar_path}
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kdoctools-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
%if %{with lang}
Recommends:     %{name}-lang
%endif
Summary:        Manage user installable packages of non-binary assets
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM
Patch101:       0001-Ignore-warnings-during-appdata-generation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This framework lets applications to manage user installable packages of non-binary assets.

%package devel
Summary:        Manage user installable packages of non-binary assets
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       kcoreaddons-devel >= %{_tar_path}

%description devel
This framework lets applications to manage user installable packages of non-binary assets.
Development files.

%lang_package
%prep
%setup -q
%patch101 -p1

%build
  %cmake_kf5 -d build -- -DSYSCONF_INSTALL_DIR=%{_kf5_sysconfdir}
  %make_jobs

%install
  %kf5_makeinstall -C build

%if %{with lang}
%find_lang lib%{name}5 %{name}5.lang
echo "%doc %lang(ca) %{_kf5_mandir}/ca" >>%{name}5.lang
echo "%doc %lang(de) %{_kf5_mandir}/de" >>%{name}5.lang
echo "%doc %lang(es) %{_kf5_mandir}/es" >>%{name}5.lang
echo "%doc %lang(it) %{_kf5_mandir}/it" >>%{name}5.lang
echo "%doc %lang(nl) %{_kf5_mandir}/nl" >>%{name}5.lang
echo "%doc %lang(pt_BR) %{_kf5_mandir}/pt_BR" >>%{name}5.lang
echo "%doc %lang(sv) %{_kf5_mandir}/sv" >>%{name}5.lang
echo "%doc %lang(uk) %{_kf5_mandir}/uk" >>%{name}5.lang
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{with lang}
%files lang -f %{name}5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_bindir}/kpackagetool*
%{_kf5_libdir}/libKF5Package.so.*
%dir %{_kf5_servicetypesdir}
%{_kf5_servicetypesdir}/kpackage-packagestructure.desktop
%{_kf5_servicetypesdir}/kpackage-generic.desktop
%doc %lang(en) %{_kf5_mandir}/*/kpackagetool*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Package.so
%{_kf5_libdir}/cmake/KF5Package/
%{_kf5_includedir}/

%changelog
* Fri Apr  7 2017 fabian@ritter-vogt.de
- Add patch to allow appdata installation even with warnings:
  * 0001-Ignore-warnings-during-appdata-generation.patch
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * finish support for opening compressed packages
  * Upgrade KF5 version to 5.32.0.
  * Upgrade Qt5 version requirement to 5.6.0.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Thu Jan 19 2017 fabian@ritter-vogt.de
- Update to 5.30.0
  * [PackageLoader] Don't access invalid KPluginMetadata (bug 374541)
  * fix description for option -t in man page
  * Improve error message
  * Fix the help message for --type
  * Improve installation process of KPackage bundles
  * Install a kpackage-generic.desktop file
  * Exclude qmlc files from installation
  * Don't list separately plasmoids from metadata.desktop and .json
* Wed Dec 14 2016 hrvoje.senjan@gmail.com
- Update to 5.29.1
  * Fix cmake failure when two packages with different type have same id
  * Additional fix for packages with different types but same ids
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Keep installing metadata.desktop (kde#372594)
  * Manually load metadata if absolute path is passed
  * Fix potential failure if package is not appstream compatible
  * Let KPackage know about X-Plasma-RootPath
  * Fix generating the metadata.json file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sun Nov 20 2016 hrvoje.senjan@gmail.com
- Hotfix 5.28.1
  * Keep installing metadata.desktop (kde#372594)
- Drop upstreamed 0001-keep-installing-metadata-desktop.patch
* Fri Nov 18 2016 alarrosa@suse.com
- Add 0001-keep-installing-metadata-desktop.patch to keep installing
  metadata.desktop (kde#372594)
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * Make sure we're looking both for json and desktop metadata
  * Guard against Q_GLOBAL_STATIC being destroyed at app shutdown
  * Fix dangling pointer in KPackageJob (kde#369935)
  * Remove discovery associated to a key when removing a definition
  * Generate the icon into the appstream file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
- Drop upstreamed fix-package-remove-definition.diff
* Sun Oct  9 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Don't generate appstream files for components that are not in rdn
  * Make kpackage_install_package work with KDE_INSTALL_DIRS_NO_DEPRECATED
  * Remove unused var KPACKAGE_DATA_INSTALL_DIR
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Fri Oct  7 2016 alarrosa@suse.com
- Add fix-package-remove-definition.diff:
  Removes package discoveries too when removing a definition, so
  old data is not kept forever around.
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Silence contentHash deprecation warnings
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Infer the ParentApp from the PackageStructure plugin
  * Let kpackagetool5 generate appstream information for kpackage components
  * Make it possible to load metadata.json file from kpackagetool5
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * After installing a package, load it
  * If the package exists and up to date don't fail
  * Add Package::cryptographicHash(QCryptographicHash::Algorithm)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Let KDocTools stay optional on KPackage
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Avoid finding the same package multiple times from different paths
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Make it possible to provide the metadata in json
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * kpackagetool can uninstall a package from a package file
  * kpackagetool is now smarter about finding the right servicetype
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Make the subtitles, subtitles ;)
  * kpackagetool: Fix output of non-latin text to stdout
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Guard the structure qpointer access (kde#347231)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * Add a KPackage::findPackages function similar to
    KPluginLoader::findPlugins
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Renamed kpackagetool man to kpackagetool5
  * Fixed installation on case-insensitive filesystems
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Fri Sep 19 2014 hrvoje.senjan@gmail.com
- Activate kpackage-framework package
